Bug 166092 - Review Request: python-myghty - A Python-based templating system derived from HTML::Mason
Review Request: python-myghty - A Python-based templating system derived from...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: José Matos
David Lawrence
http://www.myghty.org
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-08-16 16:38 EDT by Luke Macken
Modified: 2016-09-19 22:36 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-14 07:44:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2005-08-16 16:38:03 EDT
Spec Name or Url: http://people.redhat.com/lmacken/python-myghty.spec
SRPM Name or Url: http://people.redhat.com/lmacken/python-myghty-0.98a-1.src.rpm
Description:
Myghty is a Python based web and templating framework originally based on
HTML::Mason, the enterprise-level framework used by Amazon.com, del.icio.us
and Salon.com, among many others. Myghty fully implements Mason's templating
language, component-based architecture, and caching system, and goes beyond,
adding new paradigms such the Module Components controller paradigm, full
Python whitespace syntax, threading support, WSGI support, session support,
and much more.
Comment 1 Luke Macken 2005-09-13 02:16:20 EDT
Updated Spec and SRPM to the latest version: 0.98c

http://people.redhat.com/lmacken/python-myghty.spec
http://people.redhat.com/lmacken/python-myghty-0.98c-1.src.rpm

Still waiting for reviewers...
Comment 2 José Matos 2005-09-13 07:58:46 EDT
+ builds in mock on x86_64 
+ rpmlint issues no warnings 
+ meets naming/packaging guidelines 
+ license is correct (LGPL), matches upstream 
+ spec is legible in American English 
+ Build and BuildRequires are correct 
+ source matches upstream 
 
I have some problems with the package: 
- license is not included in the package 
- does it makes sense to pass -O1 to  setup.py install for a noarch package? 
 
If you fix the first issue then consider the package Approved. 
Comment 3 Ignacio Vazquez-Abrams 2005-09-13 08:04:28 EDT
(In reply to comment #2)
> - does it makes sense to pass -O1 to  setup.py install for a noarch package? 

It generates .pyo files as well as .pyc files.
Comment 4 José Matos 2005-09-13 08:15:37 EDT
(In reply to comment #3) 
> > - does it makes sense to pass -O1 to  setup.py install for a noarch 
> > package?  
 
> It generates .pyo files as well as .pyc files. 
 
  Yes, I know. :-) 
  I am questioning if they are, or not, arch independent. I always forget 
this. But as I have told above this is a minor point. 
Comment 5 Luke Macken 2005-09-13 16:16:17 EDT
LICENSE is now included in the package.
Comment 6 José Matos 2005-09-14 07:44:56 EDT
The package is Approved as I have said before. I have verified that all 
the noarch python-* packages follow the same procedure, building with -O1. 
 
Comment 7 Luke Macken 2005-09-14 22:24:42 EDT
python-myghty committed and added to owners.list file.  Thanks!
Comment 8 Kim 2015-04-13 11:51:53 EDT
Package Change Request
======================
Package Name: python-webhelpers 
New Branches: epel7
Owners: lmacken kim27
InitialCC: 

Please see #1175527 for request for epel 7 status.
Comment 9 Jon Ciesla 2015-04-25 11:59:45 EDT
Branch exists.
Comment 10 Kim 2015-04-27 12:00:24 EDT
Package Change Request
======================
Package Name: python-myghty
New Branches: epel7
Owners: lmacken kim27
InitialCC: 

Please see #1175527 for request for epel 7 status.

Helps if I put the right package name. :-/
Comment 11 Jon Ciesla 2015-04-27 14:18:12 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.